Subject: Re: bug#18933: ATLAS fails to build on mips

From: Andreas Enge <[email-masked]>
Date: Sun, 9 Nov 2014 10:29:14 +0100

On Sat, Nov 08, 2014 at 10:45:18PM +0100, Federico Beffa wrote:
>        #:configure-flags
>        `(...
>          ;; On non "x86_64" / "i686" platforms, do not guess processor
>          ;; architecture (because it fails) and do not use ISA extensions.
>          ;; We set MACHINETYPE = 52 'generic' and ISA = 1 'none'.
>          ,,(if (not (and (string-prefix? "x86_64" (%current-system))
>                        (string-prefix? "i686" (%current-system))))
>              "-A 52 -V 1")

You should put the different configure flags as elements of a list.
To concatenate with an existing list, you can do something like this
(taken from xkbcomp):
    (inputs
      `(,@(package-inputs xkbcomp-intermediate)
        ("xkeyboard-config" ,xkeyboard-config)))

Andreas